Kernel panic when using CEPHFS (Hammer) /w kernel vivid-lts on Ubuntu 14.04

Bug #1564950 reported by Kamal Mostafa on 2016-04-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Kamal Mostafa
Vivid
Undecided
Kamal Mostafa
linux-lts-utopic (Ubuntu)
Undecided
Kamal Mostafa
Trusty
Undecided
Kamal Mostafa
linux-lts-vivid (Ubuntu)
Undecided
Kamal Mostafa
Trusty
Undecided
Kamal Mostafa

Bug Description

Reported by Dennis Kramer at http://tracker.ceph.com/issues/15302

----------

Nowadays i'm getting a kernel panic when i use the vivid-lts (3.19.x) kernel on ubuntu 14.04 after I try to mount cephfs. Log indicates:

kernel BUG at /build/linux-lts-vivid-ZTSmDy/linux-lts-vivid-3.19.0/fs/ceph/mds_client.c:1928[ 27.305173] kernel BUG at /build/linux-lts-vivid-ZTSmDy/linux-lts-vivid-3.19.0/fs/ceph/mds_client.c:1928!
[ 27.307226] invalid opcode: 0000 [#1] SMP
[ 27.307599] Modules linked in: ceph libceph libcrc32c fscache ib_iser rdma_cm iw_cm ib_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt ppdev parport_pc 8250_fintek pvpanic serio_raw joydev parport i2c_piix4 mac_hid hid_generic usbhid hid syscopyarea sysfillrect sysimgblt ttm drm_kms_helper psmouse drm pata_acpi floppy
[ 27.307599] CPU: 0 PID: 118 Comm: kworker/0:2 Not tainted 3.19.0-56-generic #62~14.04.1-Ubuntu
[ 27.307599] Hardware name: OpenStack Foundation OpenStack Nova, BIOS 1.7.5-20150310_111955-batsu 04/01/2014
[ 27.307599] Workqueue: ceph-msgr con_work [libceph]
[ 27.307599] task: ffff88007ca0ce80 ti: ffff88003657c000 task.ti: ffff88003657c000
[ 27.307599] RIP: 0010:[<ffffffffc02e3ed0>] [<ffffffffc02e3ed0>] __prepare_send_request+0x7d0/0x800 [ceph]
[ 27.307599] RSP: 0018:ffff88003657fb48 EFLAGS: 00010283
[ 27.307599] RAX: ffff880077e1bb02 RBX: ffff8800364af000 RCX: 0000000000000000
[ 27.307599] RDX: 0000000038a516d3 RSI: 0000000000000000 RDI: ffff880077e1baf2
[ 27.307599] RBP: ffff88003657fbe8 R08: 0000000000000000 R09: 0000000000000000
[ 27.307599] R10: ffffffffc0275fe6 R11: 0000000000000000 R12: ffff88007873c700
[ 27.307599] R13: ffff880078458000 R14: 0000000000000000 R15: ffff880077e1ba80
[ 27.307599] FS: 0000000000000000(0000) GS:ffff88007fc00000(0000) knlGS:0000000000000000
[ 27.307599] CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 27.307599] CR2: 00007ff6e2973000 CR3: 0000000036387000 CR4: 00000000000006f0
[ 27.307599] Stack:
[ 27.307599] ffff88003657fb8c ffffffffc02e1109 0100000000000015 0000000000000001
[ 27.307599] ffff8800362e0118 ffff880077e1bafa ffff88003657fbe8 0000000000000000
[ 27.307599] 0000000000000000 ffff8800362e0118 0000000000000000 0000000000000001
[ 27.307599] Call Trace:
[ 27.307599] [<ffffffffc02e1109>] ? __choose_mds+0x119/0x470 [ceph]
[ 27.307599] [<ffffffffc02e4130>] __do_request+0x230/0x310 [ceph]
[ 27.307599] [<ffffffffc02e4288>] __wake_requests+0x78/0xb0 [ceph]
[ 27.307599] [<ffffffffc02e7430>] dispatch+0x550/0xad0 [ceph]
[ 27.307599] [<ffffffffc027abbb>] try_read+0x4cb/0x10f0 [libceph]
[ 27.307599] [<ffffffff810ab41e>] ? dequeue_task_fair+0x44e/0x660
[ 27.307599] [<ffffffff810ac171>] ? put_prev_entity+0x31/0x3f0
[ 27.307599] [<ffffffff810a41c8>] ? sched_clock_cpu+0x98/0xc0
[ 27.307599] [<ffffffffc027b899>] con_work+0xb9/0x620 [libceph]
[ 27.307599] [<ffffffff8108dc8f>] process_one_work+0x14f/0x400
[ 27.307599] [<ffffffff8108e428>] worker_thread+0x118/0x510
[ 27.307599] [<ffffffff8108e310>] ? rescuer_thread+0x3d0/0x3d0
[ 27.307599] [<ffffffff81093902>] kthread+0xd2/0xf0
[ 27.307599] [<ffffffff81093830>] ? kthread_create_on_node+0x1c0/0x1c0
[ 27.307599] [<ffffffff817b8b98>] ret_from_fork+0x58/0x90
[ 27.307599] [<ffffffff81093830>] ? kthread_create_on_node+0x1c0/0x1c0
[ 27.307599] Code: e9 27 f9 ff ff 44 89 a3 70 02 00 00 48 89 de 4c 89 ef 44 89 65 88 e8 a0 c3 ff ff 8b 45 88 e9 09 f9 ff ff 4c 63 e0 e9 d9 f9 ff ff <0f> 0b 49 8b 8f 98 fc ff ff 4d 8b 87 a0 fc ff ff 4c 89 fa 48 c7
[ 27.307599] RIP [<ffffffffc02e3ed0>] __prepare_send_request+0x7d0/0x800 [ceph]
[ 27.307599] RSP <ffff88003657fb48>
[ 27.379039] ---[ end trace 1928182fad693b4d ]---
[ 27.379983] BUG: unable to handle kernel paging request at ffffffffffffffd8
[ 27.381275] IP: [<ffffffff81094000>] kthread_data+0x10/0x20
[ 27.382382] PGD 1c19067 PUD 1c1b067 PMD 0
[ 27.383004] Oops: 0000 [#2] SMP
[ 27.383004] Modules linked in: ceph libceph libcrc32c fscache ib_iser rdma_cm iw_cm ib_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt ppdev parport_pc 8250_fintek pvpanic serio_raw joydev parport i2c_piix4 mac_hid hid_generic usbhid hid syscopyarea sysfillrect sysimgblt ttm drm_kms_helper psmouse drm pata_acpi floppy
[ 27.383004] CPU: 0 PID: 118 Comm: kworker/0:2 Tainted: G D 3.19.0-56-generic #62~14.04.1-Ubuntu
[ 27.383004] Hardware name: OpenStack Foundation OpenStack Nova, BIOS 1.7.5-20150310_111955-batsu 04/01/2014
[ 27.383004] task: ffff88007ca0ce80 ti: ffff88003657c000 task.ti: ffff88003657c000
[ 27.383004] RIP: 0010:[<ffffffff81094000>] [<ffffffff81094000>] kthread_data+0x10/0x20
[ 27.383004] RSP: 0018:ffff88003657f7c8 EFLAGS: 00010096
[ 27.383004] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 000000000000000d
[ 27.383004] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88007ca0ce80
[ 27.383004] RBP: ffff88003657f7c8 R08: 0000000000000000 R09: 0000000000000246
[ 27.383004] R10: ffffffff810721a4 R11: ffffea0001dfba00 R12: ffff88007ca0d3a0
[ 27.383004] R13: 0000000000000000 R14: 0000000000000000 R15: ffff88007ca0ce80
[ 27.383004] FS: 0000000000000000(0000) GS:ffff88007fc00000(0000) knlGS:0000000000000000
[ 27.383004] CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 27.383004] CR2: 0000000000000028 CR3: 0000000036387000 CR4: 00000000000006f0
[ 27.383004] Stack:
[ 27.383004] ffff88003657f7e8 ffffffff8108ed05 ffff88003657f7e8 ffff88007fc13e80
[ 27.383004] ffff88003657f858 ffffffff817b45fb ffff88007ca0ce80 0000000000013e80
[ 27.383004] ffff88003657ffd8 0000000000013e80 0000000000000004 ffff88007ca0ce80
[ 27.383004] Call Trace:
[ 27.383004] [<ffffffff8108ed05>] wq_worker_sleeping+0x15/0xa0
[ 27.383004] [<ffffffff817b45fb>] __schedule+0x5bb/0x820
[ 27.383004] [<ffffffff817b4889>] schedule+0x29/0x70
[ 27.383004] [<ffffffff810777ff>] do_exit+0x69f/0xb00
[ 27.383004] [<ffffffff810187f8>] oops_end+0xa8/0x120
[ 27.383004] [<ffffffff81018deb>] die+0x4b/0x70
[ 27.383004] [<ffffffff810153a0>] do_trap+0xb0/0x150
[ 27.383004] [<ffffffff81015a37>] do_error_trap+0x97/0x150
[ 27.383004] [<ffffffffc02e3ed0>] ? __prepare_send_request+0x7d0/0x800 [ceph]
[ 27.383004] [<ffffffff810160c0>] do_invalid_op+0x20/0x30
[ 27.383004] [<ffffffff817ba7be>] invalid_op+0x1e/0x30
[ 27.383004] [<ffffffffc0275fe6>] ? ceph_kvmalloc+0x26/0x50 [libceph]
[ 27.383004] [<ffffffffc02e3ed0>] ? __prepare_send_request+0x7d0/0x800 [ceph]
[ 27.383004] [<ffffffffc02e3a44>] ? __prepare_send_request+0x344/0x800 [ceph]
[ 27.383004] [<ffffffffc02e1109>] ? __choose_mds+0x119/0x470 [ceph]
[ 27.383004] [<ffffffffc02e4130>] __do_request+0x230/0x310 [ceph]
[ 27.383004] [<ffffffffc02e4288>] __wake_requests+0x78/0xb0 [ceph]
[ 27.383004] [<ffffffffc02e7430>] dispatch+0x550/0xad0 [ceph]
[ 27.383004] [<ffffffffc027abbb>] try_read+0x4cb/0x10f0 [libceph]
[ 27.383004] [<ffffffff810ab41e>] ? dequeue_task_fair+0x44e/0x660
[ 27.383004] [<ffffffff810ac171>] ? put_prev_entity+0x31/0x3f0
[ 27.383004] [<ffffffff810a41c8>] ? sched_clock_cpu+0x98/0xc0
[ 27.383004] [<ffffffffc027b899>] con_work+0xb9/0x620 [libceph]
[ 27.383004] [<ffffffff8108dc8f>] process_one_work+0x14f/0x400
[ 27.383004] [<ffffffff8108e428>] worker_thread+0x118/0x510
[ 27.383004] [<ffffffff8108e310>] ? rescuer_thread+0x3d0/0x3d0
[ 27.383004] [<ffffffff81093902>] kthread+0xd2/0xf0
[ 27.383004] [<ffffffff81093830>] ? kthread_create_on_node+0x1c0/0x1c0
[ 27.383004] [<ffffffff817b8b98>] ret_from_fork+0x58/0x90
[ 27.383004] [<ffffffff81093830>] ? kthread_create_on_node+0x1c0/0x1c0
[ 27.383004] Code: 00 48 89 e5 5d 48 8b 40 c8 48 c1 e8 02 83 e0 01 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 48 8b 87 c8 04 00 00 55 48 89 e5 <48> 8b 40 d8 5d c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00
[ 27.383004] RIP [<ffffffff81094000>] kthread_data+0x10/0x20
[ 27.383004] RSP <ffff88003657f7c8>
[ 27.383004] CR2: ffffffffffffffd8
[ 27.383004] ---[ end trace 1928182fad693b4e ]---
[ 27.383004] Fixing recursive fault but reboot is needed!

Kamal Mostafa (kamalmostafa) wrote :

On Thu, Mar 31, 2016 at 12:06:42PM +0800, Yan, Zheng wrote:
> ubuntu-vivid git tree includes commit ebeec2ef4c (ceph: fix message
> length computation), but does not contain backport for upstream commit
> 1f041a89b4 (ceph: fix request time stamp encoding). This breaks cephfs
> kernel driver completely. Please add the later commit to your git
> tree.
>
> Regards
> Yan, Zheng

The patch [[ 1f041a89b4 (ceph: fix request time stamp encoding) ]] is required for all trees that carry a backport of 777d738 (ceph: fix message length computation):

  3.19.y-ckt (stable)
  3.16.y-ckt (stable)
  ubuntu-vivid
  ubuntu-utopic

no longer affects: linux-lts-utopic (Ubuntu Vivid)
no longer affects: linux-lts-vivid (Ubuntu Vivid)
no longer affects: linux (Ubuntu Trusty)
Changed in linux (Ubuntu Vivid):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-utopic (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-utopic (Ubuntu Trusty):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-vivid (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-vivid (Ubuntu Trusty):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Kamal Mostafa (kamalmostafa) wrote :

I've constructed a test kernel for Ubuntu Vivid (amd64), comprised of 3.19.0-56.62 plus 1f041a89b4 (ceph: fix request time stamp encoding). Please confirm that this test kernel fixes the problem (installing just the linux-image-3.19...deb should be sufficient):

http://kernel.ubuntu.com/~kamal/lp1564950/

Kamal Mostafa (kamalmostafa) wrote :

On Fri, Apr 1, 2016 at 2:20 PM, <email address hidden> wrote:
> Issue #15302 has been updated by Randy Orr.
>
> I can confirm that mounting a cephfs filesystem is successful using the
> provided test kernel.
>

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Kamal Mostafa (kamalmostafa) wrote :

This fix is still queued and pending, but has not yet been released (as of 3.19.0-58.x).

In the meantime, here's an updated interim kernel for Ubuntu Vivid (amd64) for use on affected machines, comprised of 3.19.0-58 plus 1f041a89b4 (ceph: fix request time stamp encoding):

http://kernel.ubuntu.com/~kamal/lp1564950-58/

Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Kamal Mostafa (kamalmostafa) wrote :

Patch also now released in 3.19-stable and other mainline stables (and required per upstream). No further verification needed.

tags: removed: verification-needed-vivid
tags: added: verification-done-vivid
Launchpad Janitor (janitor) wrote :
Download full text (23.4 KiB)

This bug was fixed in the package linux - 3.19.0-59.65

---------------
linux (3.19.0-59.65) vivid; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1571694

  [ Benjamin Tissoires ]

  * SAUCE: Input: synaptics - handle spurious release of trackstick
    buttons, again
    - LP: #1553811

  [ K. Y. Srinivasan ]

  * SAUCE: (noup): Drivers: hv: vmbus: Fix a bug in
    hv_need_to_signal_on_read()
    - LP: #1556264

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls
  * [Config] updateconfigs after v3.19.8-ckt18

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1561714
  * [stable-only] AIO: properly check iovec sizes
    - LP: #1561714
  * Input: aiptek - fix crash on detecting device without endpoints
    - LP: #1561714
  * wext: fix message delay/ordering
    - LP: #1561714
  * cfg80211/wext: fix message ordering
    - LP: #1561714
  * mac80211: fix use of uninitialised values in RX aggregation
    - LP: #1561714
  * libata: fix HDIO_GET_32BIT ioctl
    - LP: #1561714
  * iwlwifi: mvm: inc pending frames counter also when txing non-sta
    - LP: #1561714
  * [media] adv7604: fix tx 5v detect regression
    - LP: #1561714
  * ahci: add new Intel device IDs
    - LP: #1561714
  * ahci: Order SATA device IDs for codename Lewisburg
    - LP: #1561714
  * Adding Intel Lewisburg device IDs for SATA
    - LP: #1561714
  * mac80211: minstrel_ht: set default tx aggregation timeout to 0
    - LP: #1561714
  * usb: chipidea: otg: change workqueue ci_otg as freezable
    - LP: #1561714
  * jffs2: Fix page lock / f->sem deadlock
    - LP: #1561714
  * Fix directory hardlinks from deleted directories
    - LP: #1561714
  * iommu/amd: Fix boot warning when device 00:00.0 is not iommu covered
    - LP: #1561714
  * iommu/amd: Apply workaround for ATS write permission check
    - LP: #1561714
  * libata: Align ata_device's id on a cacheline
    - LP: #1561714
  * can: gs_usb: fixed disconnect bug by removing erroneous use of kfree()
    - LP: #1561714
  * vfio: fix ioctl error handling
    - LP: #1561714
  * ALSA: ctl: Fix ioctls for X32 ABI
    - LP: #1561714
  * ALSA: rawmidi: Fix ioctls X32 ABI
    - LP: #1561714
  * ALSA: timer: Fix broken compat timer user status ioctl
    - LP: #1561714
  * ALSA: timer: Fix ioctls for X32 ABI
    - LP: #1561714
  * cifs: fix out-of-bounds access in lease parsing
    - LP: #1561714
  * CIFS: Fix SMB2+ interim response processing for read requests
    - LP: #1561714
  * Fix cifs_uniqueid_to_ino_t() function for s390x
    - LP: #1561714
  * arm/arm64: KVM: Fix ioctl error handling
    - LP: #1561714
  * ALSA: hdspm: Fix wrong boolean ctl value accesses
    - LP: #1561714
  * ALSA: hdspm: Fix zero-division
    - LP: #1561714
  * ALSA: hdsp: Fix wrong boolean ctl value accesses
    - LP: #1561714
  * USB: qcserial: add Dell Wireless 5809e Gobi 4G HSPA+ (rev3)
    - LP: #1561714
  * USB: cp210x: Add ID for Parrot NMEA GPS Flight Recorder
    - LP: #1561714
  * ASoC: wm8958: Fix enum ctl accesses in a wrong type
    - LP: #1561714
  * ASoC: wm8994: Fix enum ctl accesses in a wrong type
    - LP: #1561714
  * A...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.0 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-71.91~14.04.1

---------------
linux-lts-utopic (3.16.0-71.91~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1571796

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1563345
  * iommu/vt-d: Fix 64-bit accesses to 32-bit DMAR_GSTS_REG
    - LP: #1563345
  * drm/i915/dsi: defend gpio table against out of bounds access
    - LP: #1563345
  * drm/i915/dsi: don't pass arbitrary data to sideband
    - LP: #1563345
  * powerpc: Fix dedotify for binutils >= 2.26
    - LP: #1563345
  * drm/i915: fix error path in intel_setup_gmbus()
    - LP: #1563345
  * cifs: fix erroneous return value
    - LP: #1563345
  * s390/dasd: prevent incorrect length error under z/VM after PAV changes
    - LP: #1563345
  * s390/dasd: fix refcount for PAV reassignment
    - LP: #1563345
  * scsi: fix soft lockup in scsi_remove_target() on module removal
    - LP: #1563345
  * ext4: fix potential integer overflow
    - LP: #1563345
  * ext4: don't read blocks from disk after extents being swapped
    - LP: #1563345
  * bio: return EINTR if copying to user space got interrupted
    - LP: #1563345
  * ALSA: seq: Drop superfluous error/debug messages after malloc failures
    - LP: #1563345
  * ALSA: seq: Fix leak of pool buffer at concurrent writes
    - LP: #1563345
  * dmaengine: dw: disable BLOCK IRQs for non-cyclic xfer
    - LP: #1563345
  * tracepoints: Do not trace when cpu is offline
    - LP: #1563345
  * tracing: Fix freak link error caused by branch tracer
    - LP: #1563345
  * ALSA: seq: Fix double port list deletion
    - LP: #1563345
  * drm/radeon: use post-decrement in error handling
    - LP: #1563345
  * drm/qxl: use kmalloc_array to alloc reloc_info in
    qxl_process_single_command
    - LP: #1563345
  * ext4: fix bh->b_state corruption
    - LP: #1563345
  * ext4: fix crashes in dioread_nolock mode
    - LP: #1563345
  * kernel/resource.c: fix muxed resource handling in __request_region()
    - LP: #1563345
  * x86/entry/compat: Add missing CLAC to entry_INT80_32
    - LP: #1563345
  * crypto: {blk,giv}cipher: Set has_setkey
    - LP: #1563345
  * nfs: fix nfs_size_to_loff_t
    - LP: #1563345
  * xen/pciback: Check PF instead of VF for PCI_COMMAND_MEMORY
    - LP: #1563345
  * xen/pciback: Save the number of MSI-X entries to be copied later.
    - LP: #1563345
  * xen/pcifront: Fix mysterious crashes when NUMA locality information was
    extracted.
    - LP: #1563345
  * usb: dwc3: Fix assignment of EP transfer resources
    - LP: #1563345
  * NFSv4: Fix a dentry leak on alias use
    - LP: #1563345
  * USB: option: add support for SIM7100E
    - LP: #1563345
  * USB: cp210x: add IDs for GE B650V3 and B850V3 boards
    - LP: #1563345
  * USB: option: add "4G LTE usb-modem U901"
    - LP: #1563345
  * hwmon: (ads1015) Handle negative conversion values correctly
    - LP: #1563345
  * drivers: android: correct the size of struct binder_uintptr_t for
    BC_DEAD_BINDER_DONE
    - LP: #1563345
  * can: ems_usb: ...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (23.4 KiB)

This bug was fixed in the package linux-lts-vivid - 3.19.0-59.65~14.04.1

---------------
linux-lts-vivid (3.19.0-59.65~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1572258

  [ Benjamin Tissoires ]

  * SAUCE: Input: synaptics - handle spurious release of trackstick
    buttons, again
    - LP: #1553811

  [ K. Y. Srinivasan ]

  * SAUCE: (noup): Drivers: hv: vmbus: Fix a bug in
    hv_need_to_signal_on_read()
    - LP: #1556264

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls
  * [Config] updateconfigs after v3.19.8-ckt18

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1561714
  * [stable-only] AIO: properly check iovec sizes
    - LP: #1561714
  * Input: aiptek - fix crash on detecting device without endpoints
    - LP: #1561714
  * wext: fix message delay/ordering
    - LP: #1561714
  * cfg80211/wext: fix message ordering
    - LP: #1561714
  * mac80211: fix use of uninitialised values in RX aggregation
    - LP: #1561714
  * libata: fix HDIO_GET_32BIT ioctl
    - LP: #1561714
  * iwlwifi: mvm: inc pending frames counter also when txing non-sta
    - LP: #1561714
  * [media] adv7604: fix tx 5v detect regression
    - LP: #1561714
  * ahci: add new Intel device IDs
    - LP: #1561714
  * ahci: Order SATA device IDs for codename Lewisburg
    - LP: #1561714
  * Adding Intel Lewisburg device IDs for SATA
    - LP: #1561714
  * mac80211: minstrel_ht: set default tx aggregation timeout to 0
    - LP: #1561714
  * usb: chipidea: otg: change workqueue ci_otg as freezable
    - LP: #1561714
  * jffs2: Fix page lock / f->sem deadlock
    - LP: #1561714
  * Fix directory hardlinks from deleted directories
    - LP: #1561714
  * iommu/amd: Fix boot warning when device 00:00.0 is not iommu covered
    - LP: #1561714
  * iommu/amd: Apply workaround for ATS write permission check
    - LP: #1561714
  * libata: Align ata_device's id on a cacheline
    - LP: #1561714
  * can: gs_usb: fixed disconnect bug by removing erroneous use of kfree()
    - LP: #1561714
  * vfio: fix ioctl error handling
    - LP: #1561714
  * ALSA: ctl: Fix ioctls for X32 ABI
    - LP: #1561714
  * ALSA: rawmidi: Fix ioctls X32 ABI
    - LP: #1561714
  * ALSA: timer: Fix broken compat timer user status ioctl
    - LP: #1561714
  * ALSA: timer: Fix ioctls for X32 ABI
    - LP: #1561714
  * cifs: fix out-of-bounds access in lease parsing
    - LP: #1561714
  * CIFS: Fix SMB2+ interim response processing for read requests
    - LP: #1561714
  * Fix cifs_uniqueid_to_ino_t() function for s390x
    - LP: #1561714
  * arm/arm64: KVM: Fix ioctl error handling
    - LP: #1561714
  * ALSA: hdspm: Fix wrong boolean ctl value accesses
    - LP: #1561714
  * ALSA: hdspm: Fix zero-division
    - LP: #1561714
  * ALSA: hdsp: Fix wrong boolean ctl value accesses
    - LP: #1561714
  * USB: qcserial: add Dell Wireless 5809e Gobi 4G HSPA+ (rev3)
    - LP: #1561714
  * USB: cp210x: Add ID for Parrot NMEA GPS Flight Recorder
    - LP: #1561714
  * ASoC: wm8958: Fix enum ctl accesses in a wrong type
    - LP: #1561714
  * ASoC: wm8994: Fix enum ctl accesses in ...

Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Changed in linux-lts-utopic (Ubuntu):
status: New → Fix Released
Changed in linux-lts-vivid (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers